List child resources for a parent event by resource type

get

/sia/v1/event/simulated/{id}/resources/{resourceType}

Returns a paginated list of resources from Smart Search indices for the given resourceType under the specified parent event (Planned or Simulated). Each item includes the corresponding child event fields.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Resources with their child events retrieved.
Body ()
Root Schema : ChildrenResourcesResponse
Type: object
Show Source
Nested Schema : resources
Type: array
Page of resources with their corresponding child events.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : childEvent
Type: object
The full child SmartSearchEvent that references the resource by id and type.
Match All
The full child SmartSearchEvent that references the resource by id and type.
The full child SmartSearchEvent that references the resource by id and type.
Show Source
Nested Schema : resource
Type: object
The resource document sourced from the respective Smart Search resource index (LogicalDevice, Equipment, PhysicalDevice, Communication, Logical Device Account).
Match All
The resource document sourced from the respective Smart Search resource index (LogicalDevice, Equipment, PhysicalDevice, Communication, Logical Device Account).
The resource document sourced from the respective Smart Search resource index (LogicalDevice, Equipment, PhysicalDevice, Communication, Logical Device Account).
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : attemptedRingStrategies
Type: array
Ring calculation strategy context: the successful strategy for positive Rings results, or zero-result attempted strategies when noRingsFound is true.
Show Source
Nested Schema : edgeLinkEntityId
Type: array
Entity ids of the communication edges in topology that terminate on the inventory resource on which this event is raised.
Show Source
Nested Schema : properties
Type: object
Additional Properties Allowed
Show Source
Nested Schema : relationships
Type: object
Additional Properties Allowed
Show Source
Nested Schema : BaseMessageAttributes
Type: object
Show Source

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top